//
//  Shader.fsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
precision mediump float;
precision lowp int;
#endif

uniform sampler2D		uMap;
varying vec2            vTexCoord;

uniform vec4            uColor;
uniform mat4            mColor;

void main (void)
{
    vec4 col = texture2D(uMap, vTexCoord)*uColor;
    gl_FragColor = col*mColor;
}

