//
//  Shader.vsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
    precision mediump float;
    precision lowp int;
    attribute highp vec2    position;
#else
    attribute vec2    position;
#endif


attribute vec2          texCoord;
attribute vec4          vertexColor;

varying vec2            vTexCoord;
varying vec4            vColor;

uniform mat4            uProjection;
uniform mat4            uMatrix;

void main()
{
    gl_Position = uProjection * uMatrix * vec4(position,0.0,1.0);
    vColor      = vertexColor;
    vTexCoord   = texCoord;
}