//
//  Emboss.fsh
//  istar
//
//  Created by Miguel Angel Linares on 07/26/12.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//  Test incompleto. Tiene edges

#ifdef GL_ES
precision mediump float;
precision lowp int;
#endif

uniform sampler2D		uMap;
varying vec2            vTexCoord;

void main (void)
{
    // 2
    vec2 onePixel = vec2(1.0 / 480.0, 1.0 / 320.0);
    
    // 3
    vec2 texCoord = vTexCoord;
    
    vec4 originalColor = texture2D(uMap, vTexCoord);
    
    // 4
    vec4 color;
    color.rgb = vec3(0.5);
    color -= texture2D(uMap, clamp(texCoord - onePixel, 0.0, 1.0));
    color += texture2D(uMap, clamp(texCoord + onePixel, 0.0, 1.0));
    
    // 5
    color.rgb = vec3((color.r + color.g + color.b)/3.0);
    gl_FragColor = vec4(color.rgb, originalColor.a);
    
}

