//
//  Shader.fsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
precision mediump float;
precision lowp int;
#endif

uniform sampler2D		uMap;
varying vec2            vTexCoord;

uniform vec4            uColor;
uniform float           uSaturation;
uniform float           uSeparation;

void main (void)
{
    vec4 newcolor =  texture2D(uMap, vTexCoord);
   // newcolor.b = texture2D(uMap, vec2(vTexCoord.x-uSeparation,vTexCoord.y)).b;
  //  newcolor.r = texture2D(uMap, vec2(vTexCoord.x+uSeparation,vTexCoord.y)).r;
    float alpha = newcolor.a;
  //  newcolor *= 0.75 + 0.25*16.0*vTexCoord.x*vTexCoord.y*(1.0-vTexCoord.x)*(1.0-vTexCoord.y);
    float intensity = newcolor.r*.3+newcolor.g*.59+newcolor.b*.11;
    vec4 bwcolor = vec4(intensity,intensity,intensity,1.0);
    newcolor = (newcolor*uSaturation + bwcolor*(1.0-uSaturation))*uColor;
    gl_FragColor = vec4(newcolor.rgb,alpha);
}

