//
//  Shader.vsh
//  istar
//
//  Created by Pere Alsina on 10/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#ifdef GL_ES
    precision mediump float;
    precision lowp int;
    attribute highp vec2 position;
#else
    attribute vec2 position;
#endif

attribute vec2 texCoord;

//varying vec4 vColor;
varying vec2 vTexCoord;

uniform mat4            uProjection; 

void main()
{
    gl_Position = uProjection * vec4(position,0.0,1.0);
    //vColor = color;
    vTexCoord = texCoord;
}